<template>
  <v-main>
    <v-container mt-4>
      <v-row>
        <v-card  v-for="mountain of mountains" :key="mountain.id" flat dark height="100%">
          <div class="text-decoration-underline">
            <h1 class="text-subtitle-2 text-center">{{ mountain[0].name }}</h1>
          </div>
          <!-- <v-img height="250" :src="icon" alt="news images"> </v-img> -->
          <!-- <h1>{{posts[0].name}}</h1> -->
          <!-- <v-card-title>{{item[0].articles}}</v-card-title> -->
          <!-- <v-card-text> {{ posts[0].articles[0].content }} <br /> </v-card-text> -->

          <!-- <pre>
            {{posts[0].articles}}
        </pre> -->
          <!-- <h1>{{posts[0].articles[0].description}}</h1> -->
          <!-- <v-card-title v-for="res in item.articles" :key="res.id">
            <v-card-text>
              {{ res.title }} <v-space></v-space> {{ res.description }}
            </v-card-text>
            <v-btn
              ><nuxt-link :to="`/news/${res.slug}`">Readmore</nuxt-link></v-btn
            > -->

            <!-- <v-btn><a href="`news/${res.slug}`">Readmore</a></v-btn> -->

            <!-- <nuxt-link :to="`news/${res.slug}`">Readmore</nuxt-link> -->


          <!-- </v-card-title> -->
          <!-- <pre>
            <h1>{{item.articles}}</h1>
      </pre> -->
        </v-card>
      </v-row>
    </v-container>
  </v-main>
</template>

<script>
export default {
  data() {
    return {
      mountains: [],
    //   link: null,
       api: process.env.appimage
    };
  },
  // computed: {
  //   // a computed getter
  //   htitle: function () {
  //     // `this` points to the vm instance
  //     return this.mountains[0].title
  //   }
  // },
  async fetch() {
    var ResponseURL = this.$route.fullPath;
    var str = ResponseURL.split("/");
    // console.log(str[str.length - 1]);
    var slug = str[str.length - 1];
    this.mountains = await fetch(
      process.env.appimage + "?slug=" + slug
    ).then(res => res.json());
  },
  fetchOnServer: false,
//   computed: {
//     getLink: function() {
//       let link = "https://perfectpolitics.in" + this.$route.fullPath;
//       return link;
//     }
//   },
  head() {
    return {
      title: "htitle",
      meta: [{ name: "description", content: "singleNews.title" }],
      link: [{ rel: "canonical", href: "https://a.com" }]
    };
  }
};

<style></style>
